Jump to content
TrinityCore

Recommended Posts

Hmmmm, I don't get them on my desktop PC I do get some errors. Will have to rebuild to see what they were again. Also when its finished(which is does pretty quick) There is nothing in the bin folder. Will have to redownload trinity again and see if that works. Will let you know results.

Share this post


Link to post
Share on other sites

i tried on both VS2015 and 2013 i have same error while Configuring with cMake. please help

this showing below message:

 

The C compiler identification is MSVC 18.0.40629.0

The CXX compiler identification is MSVC 18.0.40629.0

Check for working C compiler using: Visual Studio 12 2013

Check for working C compiler using: Visual Studio 12 2013 -- works

Detecting C compiler ABI info

Detecting C compiler ABI info - done

Check for working CXX compiler using: Visual Studio 12 2013

Check for working CXX compiler using: Visual Studio 12 2013 -- works

Detecting CXX compiler ABI info

Detecting CXX compiler ABI info - done

Detecting CXX compile features

Detecting CXX compile features - done

Detected 32-bit platform

MSVC: Enabled large address awareness

MSVC: Enabled SSE2 support

MSVC: Disabled Safe Exception Handlers for debug builds

MSVC: Overloaded standard names

MSVC: Disabled NON-SECURE warnings

MSVC: Disabled POSIX warnings

MSVC: Disabled generic compiletime warnings

Found MySQL library: C:/Program Files/MySQL/MySQL Server 5.6/lib/libmysql.lib

Found MySQL headers: C:/Program Files/MySQL/MySQL Server 5.6/include

Found MySQL executable: C:/Program Files/MySQL/MySQL Server 5.6/bin/mysql.exe

Found git binary : C:/Program Files (x86)/Git/cmd/git.exe

 

* TrinityCore revision : acdfc36a4e93 2016-04-16 18:58:47 +0100 (3.3.5 branch)

 

* Install core to : C:/Program Files (x86)/TrinityCore

 

* Build world/auth : Yes (default)

* Build with scripts : Yes (static)

* Build map/vmap tools : No (default)

* Build core w/PCH : Yes (default)

* Build scripts w/PCH : Yes (default)

* Show compile-warnings : No (default)

* Use coreside debug : No (default)

* Show source tree : Yes (hierarchical)

* Use GIT revision hash : Yes (default)

 

Looking for pthread.h

Looking for pthread.h - not found

Found Threads: TRUE

CMake Error at cmake/macros/FindBoost.cmake:1184 (message):
Unable to find the requested Boost libraries.

Unable to find the Boost header files. Please set BOOST_ROOT to the root
directory containing Boost or BOOST_INCLUDEDIR to the directory containing
Boost's headers.
Call Stack (most recent call first):
dep/boost/CMakeLists.txt:29 (find_package)

 

Performing Test boost_filesystem_copy_links_without_NO_SCOPED_ENUM

Performing Test boost_filesystem_copy_links_without_NO_SCOPED_ENUM - Failed

Looking for open

Looking for open - found

Found OpenSSL library: optimized;C:/OpenSSL-Win32/lib/VC/ssleay32MD.lib;C:/OpenSSL-Win32/lib/VC/libeay32MD.lib;debug;C:/OpenSSL-Win32/lib/VC/ssleay32MDd.lib;C:/OpenSSL-Win32/lib/VC/libeay32MDd.lib

Found OpenSSL headers: C:/OpenSSL-Win32/include

 

* Script configuration (static):
|

+- worldserver

| +- Commands

| +- Custom

| +- EasternKingdoms

| +- Events

| +- Kalimdor

| +- Northrend

| +- OutdoorPvP

| +- Outland

| +- Pet

| +- Spells

| +- World

|

 

Configuring incomplete, errors occurred!

See also "C:/Build/CMakeFiles/CMakeOutput.log".

See also "C:/Build/CMakeFiles/CMakeError.log".

 

Share this post


Link to post
Share on other sites

@wallase You need Boost compiled for 32 bits (because of some odd reason you picked the 32 bits compilers) and to create an environment variable with the name BOOST_ROOT and the value equal to the directory of your boost install (e.g "C:\boost_1_60_0"). This is all described in the wiki, just read it.

  • Upvote 1

Share this post


Link to post
Share on other sites
3 hours ago, Nay said:

@wallase You need Boost compiled for 32 bits (because of some odd reason you picked the 32 bits compilers) and to create an environment variable with the name BOOST_ROOT and the value equal to the directory of your boost install (e.g "C:\boost_1_60_0"). This is all described in the wiki, just read it.

many many thanks mate , its work , lets see what troubles i face further xd

Share this post


Link to post
Share on other sites
On 4/17/2016, 1:09:39, Nay said:

can you guys tell me why i am getting 2 failed in Build?

 

21>Main.obj : error LNK2019: unresolved external symbol [email protected]12 referenced in function "public: static void __cdecl MySQL::Library_Init(void)" ([email protected]@@SAXXZ)
21>Main.obj : error LNK2019: unresolved external symbol [email protected] referenced in function "public: static void __cdecl MySQL::Library_End(void)" ([email protected]@@SAXXZ)
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@[email protected]@[email protected]$4
21>database.lib(QueryResult.obj) : error LNK2001: unresolved external symbol [email protected]
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@[email protected]@[email protected]$4
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@[email protected]@[email protected]$4
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: bool __thiscall MySQLConnection::Execute(class PreparedStatement *)" ([email protected]@@[email protected]@@Z)
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]$0
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@UAEIXZ$6
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: virtual unsigned int __thiscall MySQLConnection::Open(void)" ([email protected]@@UAEIXZ)
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@UAEIXZ$0
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: bool __thiscall MySQLConnection::Execute(char const *)" ([email protected]@@[email protected])
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@[email protected]@[email protected]$4
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@UAEIXZ$2
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@UAEIXZ$0
21>database.lib(DatabaseWorkerPool.obj) : error LNK2001: unresolved external symbol [email protected]
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@UAEIXZ$0
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@[email protected]@[email protected]$4
21>database.lib(QueryResult.obj) : error LNK2001: unresolved external symbol [email protected]
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "protected: void __thiscall MySQLConnection::PrepareStatement(unsigned int,char const *,enum ConnectionFlags)" ([email protected]@@[email protected]@@Z)
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@@Z$2
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@@Z$0
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: bool __thiscall MySQLConnection::Execute(class PreparedStatement *)" ([email protected]@@[email protected]@@Z)
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@@Z$4
21>database.lib(PreparedStatement.obj) : error LNK2001: unresolved external symbol [email protected]
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@[email protected]@[email protected]$4
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: bool __thiscall MySQLConnection::Execute(class PreparedStatement *)" ([email protected]@@[email protected]@@Z)
21>database.lib(QueryResult.obj) : error LNK2001: unresolved external symbol [email protected]
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@[email protected]@[email protected]$4
21>database.lib(QueryResult.obj) : error LNK2001: unresolved external symbol [email protected]
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@[email protected]@[email protected]@[email protected]$4
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@@UAEIXZ$6
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: class PreparedResultSet * __thiscall MySQLConnection::Query(class PreparedStatement *)" ([email protected]@@[email protected]@[email protected]@@Z)
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: class PreparedResultSet * __thiscall MySQLConnection::Query(class PreparedStatement *)" ([email protected]@@[email protected]@[email protected]@@Z)
21>database.lib(MySQLConnection.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: virtual __thiscall MySQLConnection::~MySQLConnection(void)" ([email protected]@[email protected])
21>database.lib(DatabaseWorkerPool.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "private: virtual bool __thiscall PingOperation::Execute(void)" ([email protected]@@EAE_NXZ)
21>database.lib(DatabaseWorkerPool.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: __thiscall DatabaseWorkerPool<class CharacterDatabaseConnection>::DatabaseWorkerPool<class CharacterDatabaseConnection>(void)" ([email protected]@@@@[email protected])
21>database.lib(DatabaseWorkerPool.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "private: unsigned int __thiscall DatabaseWorkerPool<class CharacterDatabaseConnection>::OpenConnections(enum DatabaseWorkerPool<class CharacterDatabaseConnection>::InternalIndex,unsigned char)" ([email protected][email protected]@@@@[email protected]@[email protected])
21>database.lib(DatabaseWorkerPool.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "private: unsigned long __thiscall DatabaseWorkerPool<class CharacterDatabaseConnection>::EscapeString(char *,char const *,unsigned long)" ([email protected][email protected]@@@@[email protected])
21>database.lib(DatabaseWorkerPool.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: __thiscall DatabaseWorkerPool<class CharacterDatabaseConnection>::DatabaseWorkerPool<class CharacterDatabaseConnection>(void)" ([email protected]@@@@[email protected])
21>database.lib(PreparedStatement.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: __thiscall MySQLPreparedStatement::MySQLPreparedStatement(struct st_mysql_stmt *)" ([email protected]@[email protected][email protected]@@Z)
21>database.lib(PreparedStatement.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: __thiscall MySQLPreparedStatement::MySQLPreparedStatement(struct st_mysql_stmt *)" ([email protected]@[email protected][email protected]@@Z)
21>database.lib(QueryResult.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: bool __thiscall ResultSet::NextRow(void)" ([email protected]@@QAE_NXZ)
21>database.lib(QueryResult.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@[email protected][email protected]@[email protected]@[email protected]$2
21>database.lib(QueryResult.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function "public: __thiscall PreparedResultSet::PreparedResultSet(struct st_mysql_stmt *,struct st_mysql_res *,unsigned __int64,unsigned int)" ([email protected]@[email protected][email protected]@[email protected]@[email protected])
21>database.lib(QueryResult.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@[email protected][email protected]@[email protected]@[email protected]$0
21>database.lib(QueryResult.obj) : error LNK2019: unresolved external symbol [email protected] referenced in function [email protected]@[email protected][email protected]@[email protected]@[email protected]$2
21>C:\Trinity\Build\bin\Release\worldserver.exe : fatal error LNK1120: 41 unresolved externals
22>------ Build started: Project: ALL_BUILD, Configuration: Release Win32 ------
22>  Building Custom Rule C:/Trinity/Source/CMakeLists.txt
22>  CMake does not need to re-run because C:\Trinity\Build\CMakeFiles\generate.stamp is up-to-date.
========== Build: 20 succeeded, 2 failed, 0 up-to-date, 0 skipped ==========

 

Share this post


Link to post
Share on other sites

Attempting to compile TC 3.3.5 with MS Visual Studio Community 2015 (v.14 Update 2). Getting the same 7 errors across 7 different projects. Here's the error:

LNK1181    cannot open input file 'SSL_EAY_RELEASE-NOTFOUND.lib'

Perhaps I have a .lib file in the wrong directory?  If so, I'm hoping someone can tell me what it is and where it should go.

 

Windows 10, Boost 1.59.0, Win64OpenSSL 1.0.2

Share this post


Link to post
Share on other sites

@Chronoicle "internal heap" errors and similar can usually be fixed by creating an environment variable named PreferredToolArchitecture with the value x64 (more info). After creating it, restart VS and/or the computer and try to compile again.

  • Upvote 1

Share this post


Link to post
Share on other sites

Hey,

i try to install a trinitycore 3.5.5 Server on a VMWare (Ubuntu 14.04)

I follow some guides and the TrinityCore Compille Tutortial... 

Everytime when i executed the cmake command i get a error.

Look here in the log, why i get this errors and how i can fix that?

 

Quote

 

    '
      /* __TI_COMPILER_VERSION__ = VVVRRRPPP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__TI_COMPILER_VERSION__/1000000)
    # define @[email protected]_VERSION_MINOR @[email protected](__TI_COMPILER_VERSION__/1000   % 1000)
    # define @[email protected]_VERSION_PATCH @[email protected](__TI_COMPILER_VERSION__        % 1000)'

  the old evaluation rules produce:

    '
      /* __TI_COMPILER_VERSION__ = VVVRRRPPP */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__TI_COMPILER_VERSION__/1000000)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__TI_COMPILER_VERSION__/1000   % 1000)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__TI_COMPILER_VERSION__        % 1000)'

  but the new evaluation rules produce:

    '
      /* __TI_COMPILER_VERSION__ = VVVRRRPPP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__TI_COMPILER_VERSION__/1000000)
    # define @[email protected]_VERSION_MINOR @[email protected](__TI_COMPILER_VERSION__/1000   % 1000)
    # define @[email protected]_VERSION_PATCH @[email protected](__TI_COMPILER_VERSION__        % 1000)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/ADSP-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    #if defined(__VISUALDSPVERSION__)
      /* __VISUALDSPVERSION__ = 0xVVRRPP00 */
    # define @[email protected]_VERSION_MAJOR @[email protected](__VISUALDSPVERSION__>>24)
    # define @[email protected]_VERSION_MINOR @[email protected](__VISUALDSPVERSION__>>16 & 0xFF)
    # define @[email protected]_VERSION_PATCH @[email protected](__VISUALDSPVERSION__>>8  & 0xFF)
    #endif'

  the old evaluation rules produce:

    '
    #if defined(__VISUALDSPVERSION__)
      /* __VISUALDSPVERSION__ = 0xVVRRPP00 */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__VISUALDSPVERSION__>>24)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__VISUALDSPVERSION__>>16 & 0xFF)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__VISUALDSPVERSION__>>8  & 0xFF)
    #endif'

  but the new evaluation rules produce:

    '
    #if defined(__VISUALDSPVERSION__)
      /* __VISUALDSPVERSION__ = 0xVVRRPP00 */
    # define @[email protected]_VERSION_MAJOR @[email protected](__VISUALDSPVERSION__>>24)
    # define @[email protected]_VERSION_MINOR @[email protected](__VISUALDSPVERSION__>>16 & 0xFF)
    # define @[email protected]_VERSION_PATCH @[email protected](__VISUALDSPVERSION__>>8  & 0xFF)
    #endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/PGI-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__PGIC__)
    # define @[email protected]_VERSION_MINOR @[email protected](__PGIC_MINOR__)
    # if defined(__PGIC_PATCHLEVEL__)
    #  define @[email protected]_VERSION_PATCH @[email protected](__PGIC_PATCHLEVEL__)
    # endif'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__PGIC__)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__PGIC_MINOR__)
    # if defined(__PGIC_PATCHLEVEL__)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__PGIC_PATCHLEVEL__)
    # endif'

  but the new evaluation rules produce:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__PGIC__)
    # define @[email protected]_VERSION_MINOR @[email protected](__PGIC_MINOR__)
    # if defined(__PGIC_PATCHLEVEL__)
    #  define @[email protected]_VERSION_PATCH @[email protected](__PGIC_PATCHLEVEL__)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/MIPSpro-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # if defined(_SGI_COMPILER_VERSION)
      /* _SGI_COMPILER_VERSION = VRP */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_SGI_COMPILER_VERSION/100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_SGI_COMPILER_VERSION/10 % 10)
    #  define @[email protected]_VERSION_PATCH @[email protected](_SGI_COMPILER_VERSION    % 10)
    # else
      /* _COMPILER_VERSION = VRP */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_COMPILER_VERSION/100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_COMPILER_VERSION/10 % 10)
    #  define @[email protected]_VERSION_PATCH @[email protected](_COMPILER_VERSION    % 10)
    # endif'

  the old evaluation rules produce:

    '
    # if defined(_SGI_COMPILER_VERSION)
      /* _SGI_COMPILER_VERSION = VRP */
    #  define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](_SGI_COMPILER_VERSION/100)
    #  define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](_SGI_COMPILER_VERSION/10 % 10)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](_SGI_COMPILER_VERSION    % 10)
    # else
      /* _COMPILER_VERSION = VRP */
    #  define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](_COMPILER_VERSION/100)
    #  define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](_COMPILER_VERSION/10 % 10)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](_COMPILER_VERSION    % 10)
    # endif'

  but the new evaluation rules produce:

    '
    # if defined(_SGI_COMPILER_VERSION)
      /* _SGI_COMPILER_VERSION = VRP */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_SGI_COMPILER_VERSION/100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_SGI_COMPILER_VERSION/10 % 10)
    #  define @[email protected]_VERSION_PATCH @[email protected](_SGI_COMPILER_VERSION    % 10)
    # else
      /* _COMPILER_VERSION = VRP */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_COMPILER_VERSION/100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_COMPILER_VERSION/10 % 10)
    #  define @[email protected]_VERSION_PATCH @[email protected](_COMPILER_VERSION    % 10)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Embarcadero-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__CODEGEARC_VERSION__>>24 & 0x00FF)
    # define @[email protected]_VERSION_MINOR @[email protected](__CODEGEARC_VERSION__>>16 & 0x00FF)
    # define @[email protected]_VERSION_PATCH @[email protected](__CODEGEARC_VERSION__     & 0xFFFF)'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__CODEGEARC_VERSION__>>24 & 0x00FF)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__CODEGEARC_VERSION__>>16 & 0x00FF)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__CODEGEARC_VERSION__     & 0xFFFF)'

  but the new evaluation rules produce:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__CODEGEARC_VERSION__>>24 & 0x00FF)
    # define @[email protected]_VERSION_MINOR @[email protected](__CODEGEARC_VERSION__>>16 & 0x00FF)
    # define @[email protected]_VERSION_PATCH @[email protected](__CODEGEARC_VERSION__     & 0xFFFF)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/PathScale-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__PATHCC__)
    # define @[email protected]_VERSION_MINOR @[email protected](__PATHCC_MINOR__)
    # if defined(__PATHCC_PATCHLEVEL__)
    #  define @[email protected]_VERSION_PATCH @[email protected](__PATHCC_PATCHLEVEL__)
    # endif'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__PATHCC__)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__PATHCC_MINOR__)
    # if defined(__PATHCC_PATCHLEVEL__)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__PATHCC_PATCHLEVEL__)
    # endif'

  but the new evaluation rules produce:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__PATHCC__)
    # define @[email protected]_VERSION_MINOR @[email protected](__PATHCC_MINOR__)
    # if defined(__PATHCC_PATCHLEVEL__)
    #  define @[email protected]_VERSION_PATCH @[email protected](__PATHCC_PATCHLEVEL__)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Compaq-CXX-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __DECCXX_VER = VVRRTPPPP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__DECCXX_VER/10000000)
    # define @[email protected]_VERSION_MINOR @[email protected](__DECCXX_VER/100000  % 100)
    # define @[email protected]_VERSION_PATCH @[email protected](__DECCXX_VER         % 10000)'

  the old evaluation rules produce:

    '
      /* __DECCXX_VER = VVRRTPPPP */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__DECCXX_VER/10000000)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__DECCXX_VER/100000  % 100)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__DECCXX_VER         % 10000)'

  but the new evaluation rules produce:

    '
      /* __DECCXX_VER = VVRRTPPPP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__DECCXX_VER/10000000)
    # define @[email protected]_VERSION_MINOR @[email protected](__DECCXX_VER/100000  % 100)
    # define @[email protected]_VERSION_PATCH @[email protected](__DECCXX_VER         % 10000)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Clang-DetermineCompilerInternal.cmake:2 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__clang_major__)
    # define @[email protected]_VERSION_MINOR @[email protected](__clang_minor__)
    # define @[email protected]_VERSION_PATCH @[email protected](__clang_patchlevel__)
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__clang_major__)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__clang_minor__)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__clang_patchlevel__)
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define /home/root/serverSIMULATE_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define /home/root/serverSIMULATE_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  but the new evaluation rules produce:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__clang_major__)
    # define @[email protected]_VERSION_MINOR @[email protected](__clang_minor__)
    # define @[email protected]_VERSION_PATCH @[email protected](__clang_patchlevel__)
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/Compiler/AppleClang-DetermineCompiler.cmake:4 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Clang-DetermineCompilerInternal.cmake:12 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # if defined(_MSC_VER)
    #  define @[email protected]_ID \"MSVC\"
    # endif'

  the old evaluation rules produce:

    '
    # if defined(_MSC_VER)
    #  define /home/root/serverSIMULATE_ID "MSVC"
    # endif'

  but the new evaluation rules produce:

    '
    # if defined(_MSC_VER)
    #  define @[email protected]_ID "MSVC"
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/Compiler/AppleClang-DetermineCompiler.cmake:4 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/AppleClang-DetermineCompiler.cmake:6 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '${_compiler_id_version_compute}
    # define @[email protected]_VERSION_TWEAK @[email protected](__apple_build_version__)'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__clang_major__)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__clang_minor__)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__clang_patchlevel__)
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define /home/root/serverSIMULATE_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define /home/root/serverSIMULATE_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif
    # define /home/root/serverCOMPILER_VERSION_TWEAK @[email protected](__apple_build_version__)'

  but the new evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__clang_major__)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__clang_minor__)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__clang_patchlevel__)
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define /home/root/serverSIMULATE_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define /home/root/serverSIMULATE_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif
    # define @[email protected]_VERSION_TWEAK @[email protected](__apple_build_version__)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/IBMCPP-CXX-DetermineVersionInternal.cmake:2 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __IBMCPP__ = VRP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define @[email protected]_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define @[email protected]_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  the old evaluation rules produce:

    '
      /* __IBMCPP__ = VRP */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  but the new evaluation rules produce:

    '
      /* __IBMCPP__ = VRP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define @[email protected]_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define @[email protected]_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/Compiler/XL-CXX-DetermineCompiler.cmake:4 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Borland-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __BORLANDC__ = 0xVRR */
    # define @[email protected]_VERSION_MAJOR @[email protected](__BORLANDC__>>8)
    # define @[email protected]_VERSION_MINOR @[email protected](__BORLANDC__ & 0xFF)'

  the old evaluation rules produce:

    '
      /* __BORLANDC__ = 0xVRR */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__BORLANDC__>>8)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__BORLANDC__ & 0xFF)'

  but the new evaluation rules produce:

    '
      /* __BORLANDC__ = 0xVRR */
    # define @[email protected]_VERSION_MAJOR @[email protected](__BORLANDC__>>8)
    # define @[email protected]_VERSION_MINOR @[email protected](__BORLANDC__ & 0xFF)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Watcom-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
       /* __WATCOMC__ = VVRR */
    # define @[email protected]_VERSION_MAJOR @[email protected](__WATCOMC__ / 100)
    # define @[email protected]_VERSION_MINOR @[email protected]((__WATCOMC__ / 10) % 10)
    # if (__WATCOMC__ % 10) > 0
    #  define @[email protected]_VERSION_PATCH @[email protected](__WATCOMC__ % 10)
    # endif'

  the old evaluation rules produce:

    '
       /* __WATCOMC__ = VVRR */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__WATCOMC__ / 100)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected]((__WATCOMC__ / 10) % 10)
    # if (__WATCOMC__ % 10) > 0
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__WATCOMC__ % 10)
    # endif'

  but the new evaluation rules produce:

    '
       /* __WATCOMC__ = VVRR */
    # define @[email protected]_VERSION_MAJOR @[email protected](__WATCOMC__ / 100)
    # define @[email protected]_VERSION_MINOR @[email protected]((__WATCOMC__ / 10) % 10)
    # if (__WATCOMC__ % 10) > 0
    #  define @[email protected]_VERSION_PATCH @[email protected](__WATCOMC__ % 10)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Clang-DetermineCompilerInternal.cmake:2 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__clang_major__)
    # define @[email protected]_VERSION_MINOR @[email protected](__clang_minor__)
    # define @[email protected]_VERSION_PATCH @[email protected](__clang_patchlevel__)
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__clang_major__)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__clang_minor__)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__clang_patchlevel__)
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define /home/root/serverSIMULATE_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define /home/root/serverSIMULATE_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  but the new evaluation rules produce:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__clang_major__)
    # define @[email protected]_VERSION_MINOR @[email protected](__clang_minor__)
    # define @[email protected]_VERSION_PATCH @[email protected](__clang_patchlevel__)
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/Compiler/Clang-DetermineCompiler.cmake:4 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Clang-DetermineCompilerInternal.cmake:12 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # if defined(_MSC_VER)
    #  define @[email protected]_ID \"MSVC\"
    # endif'

  the old evaluation rules produce:

    '
    # if defined(_MSC_VER)
    #  define /home/root/serverSIMULATE_ID "MSVC"
    # endif'

  but the new evaluation rules produce:

    '
    # if defined(_MSC_VER)
    #  define @[email protected]_ID "MSVC"
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/Compiler/Clang-DetermineCompiler.cmake:4 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Comeau-CXX-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __COMO_VERSION__ = VRR */
    # define @[email protected]_VERSION_MAJOR @[email protected](__COMO_VERSION__ / 100)
    # define @[email protected]_VERSION_MINOR @[email protected](__COMO_VERSION__ % 100)'

  the old evaluation rules produce:

    '
      /* __COMO_VERSION__ = VRR */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__COMO_VERSION__ / 100)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__COMO_VERSION__ % 100)'

  but the new evaluation rules produce:

    '
      /* __COMO_VERSION__ = VRR */
    # define @[email protected]_VERSION_MAJOR @[email protected](__COMO_VERSION__ / 100)
    # define @[email protected]_VERSION_MINOR @[email protected](__COMO_VERSION__ % 100)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Intel-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __INTEL_COMPILER = VRP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__INTEL_COMPILER/100)
    # define @[email protected]_VERSION_MINOR @[email protected](__INTEL_COMPILER/10 % 10)
    # if defined(__INTEL_COMPILER_UPDATE)
    #  define @[email protected]_VERSION_PATCH @[email protected](__INTEL_COMPILER_UPDATE)
    # else
    #  define @[email protected]_VERSION_PATCH @[email protected](__INTEL_COMPILER   % 10)
    # endif
    # if defined(__INTEL_COMPILER_BUILD_DATE)
      /* __INTEL_COMPILER_BUILD_DATE = YYYYMMDD */
    #  define @[email protected]_VERSION_TWEAK @[email protected](__INTEL_COMPILER_BUILD_DATE)
    # endif
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  the old evaluation rules produce:

    '
      /* __INTEL_COMPILER = VRP */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__INTEL_COMPILER/100)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__INTEL_COMPILER/10 % 10)
    # if defined(__INTEL_COMPILER_UPDATE)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__INTEL_COMPILER_UPDATE)
    # else
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__INTEL_COMPILER   % 10)
    # endif
    # if defined(__INTEL_COMPILER_BUILD_DATE)
      /* __INTEL_COMPILER_BUILD_DATE = YYYYMMDD */
    #  define /home/root/serverCOMPILER_VERSION_TWEAK @[email protected](__INTEL_COMPILER_BUILD_DATE)
    # endif
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define /home/root/serverSIMULATE_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define /home/root/serverSIMULATE_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  but the new evaluation rules produce:

    '
      /* __INTEL_COMPILER = VRP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__INTEL_COMPILER/100)
    # define @[email protected]_VERSION_MINOR @[email protected](__INTEL_COMPILER/10 % 10)
    # if defined(__INTEL_COMPILER_UPDATE)
    #  define @[email protected]_VERSION_PATCH @[email protected](__INTEL_COMPILER_UPDATE)
    # else
    #  define @[email protected]_VERSION_PATCH @[email protected](__INTEL_COMPILER   % 10)
    # endif
    # if defined(__INTEL_COMPILER_BUILD_DATE)
      /* __INTEL_COMPILER_BUILD_DATE = YYYYMMDD */
    #  define @[email protected]_VERSION_TWEAK @[email protected](__INTEL_COMPILER_BUILD_DATE)
    # endif
    # if defined(_MSC_VER)
       /* _MSC_VER = VVRR */
    #  define @[email protected]_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    #  define @[email protected]_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Intel-DetermineCompiler.cmake:23 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # if defined(_MSC_VER)
    #  define @[email protected]_ID \"MSVC\"
    # endif'

  the old evaluation rules produce:

    '
    # if defined(_MSC_VER)
    #  define /home/root/serverSIMULATE_ID "MSVC"
    # endif'

  but the new evaluation rules produce:

    '
    # if defined(_MSC_VER)
    #  define @[email protected]_ID "MSVC"
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/MSVC-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* _MSC_VER = VVRR */
    # define @[email protected]_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    # define @[email protected]_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # if defined(_MSC_FULL_VER)
    #  if _MSC_VER >= 1400
        /* _MSC_FULL_VER = VVRRPPPPP */
    #   define @[email protected]_VERSION_PATCH @[email protected](_MSC_FULL_VER % 100000)
    #  else
        /* _MSC_FULL_VER = VVRRPPPP */
    #   define @[email protected]_VERSION_PATCH @[email protected](_MSC_FULL_VER % 10000)
    #  endif
    # endif
    # if defined(_MSC_BUILD)
    #  define @[email protected]_VERSION_TWEAK @[email protected](_MSC_BUILD)
    # endif'

  the old evaluation rules produce:

    '
      /* _MSC_VER = VVRR */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # if defined(_MSC_FULL_VER)
    #  if _MSC_VER >= 1400
        /* _MSC_FULL_VER = VVRRPPPPP */
    #   define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](_MSC_FULL_VER % 100000)
    #  else
        /* _MSC_FULL_VER = VVRRPPPP */
    #   define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](_MSC_FULL_VER % 10000)
    #  endif
    # endif
    # if defined(_MSC_BUILD)
    #  define /home/root/serverCOMPILER_VERSION_TWEAK @[email protected](_MSC_BUILD)
    # endif'

  but the new evaluation rules produce:

    '
      /* _MSC_VER = VVRR */
    # define @[email protected]_VERSION_MAJOR @[email protected](_MSC_VER / 100)
    # define @[email protected]_VERSION_MINOR @[email protected](_MSC_VER % 100)
    # if defined(_MSC_FULL_VER)
    #  if _MSC_VER >= 1400
        /* _MSC_FULL_VER = VVRRPPPPP */
    #   define @[email protected]_VERSION_PATCH @[email protected](_MSC_FULL_VER % 100000)
    #  else
        /* _MSC_FULL_VER = VVRRPPPP */
    #   define @[email protected]_VERSION_PATCH @[email protected](_MSC_FULL_VER % 10000)
    #  endif
    # endif
    # if defined(_MSC_BUILD)
    #  define @[email protected]_VERSION_TWEAK @[email protected](_MSC_BUILD)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/HP-CXX-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __HP_aCC = VVRRPP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__HP_aCC/10000)
    # define @[email protected]_VERSION_MINOR @[email protected](__HP_aCC/100 % 100)
    # define @[email protected]_VERSION_PATCH @[email protected](__HP_aCC     % 100)'

  the old evaluation rules produce:

    '
      /* __HP_aCC = VVRRPP */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__HP_aCC/10000)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__HP_aCC/100 % 100)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__HP_aCC     % 100)'

  but the new evaluation rules produce:

    '
      /* __HP_aCC = VVRRPP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__HP_aCC/10000)
    # define @[email protected]_VERSION_MINOR @[email protected](__HP_aCC/100 % 100)
    # define @[email protected]_VERSION_PATCH @[email protected](__HP_aCC     % 100)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/IBMCPP-CXX-DetermineVersionInternal.cmake:2 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __IBMCPP__ = VRP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define @[email protected]_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define @[email protected]_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  the old evaluation rules produce:

    '
      /* __IBMCPP__ = VRP */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  but the new evaluation rules produce:

    '
      /* __IBMCPP__ = VRP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define @[email protected]_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define @[email protected]_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/Compiler/VisualAge-CXX-DetermineCompiler.cmake:4 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/Cray-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](_RELEASE)
    # define @[email protected]_VERSION_MINOR @[email protected](_RELEASE_MINOR)'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](_RELEASE)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](_RELEASE_MINOR)'

  but the new evaluation rules produce:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](_RELEASE)
    # define @[email protected]_VERSION_MINOR @[email protected](_RELEASE_MINOR)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/GNU-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__GNUC__)
    # define @[email protected]_VERSION_MINOR @[email protected](__GNUC_MINOR__)
    # if defined(__GNUC_PATCHLEVEL__)
    #  define @[email protected]_VERSION_PATCH @[email protected](__GNUC_PATCHLEVEL__)
    # endif'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__GNUC__)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__GNUC_MINOR__)
    # if defined(__GNUC_PATCHLEVEL__)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__GNUC_PATCHLEVEL__)
    # endif'

  but the new evaluation rules produce:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__GNUC__)
    # define @[email protected]_VERSION_MINOR @[email protected](__GNUC_MINOR__)
    # if defined(__GNUC_PATCHLEVEL__)
    #  define @[email protected]_VERSION_PATCH @[email protected](__GNUC_PATCHLEVEL__)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/SunPro-CXX-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # if __SUNPRO_CC >= 0x5100
       /* __SUNPRO_CC = 0xVRRP */
    #  define @[email protected]_VERSION_MAJOR @[email protected](__SUNPRO_CC>>12)
    #  define @[email protected]_VERSION_MINOR @[email protected](__SUNPRO_CC>>4 & 0xFF)
    #  define @[email protected]_VERSION_PATCH @[email protected](__SUNPRO_CC    & 0xF)
    # else
       /* __SUNPRO_CC = 0xVRP */
    #  define @[email protected]_VERSION_MAJOR @[email protected](__SUNPRO_CC>>8)
    #  define @[email protected]_VERSION_MINOR @[email protected](__SUNPRO_CC>>4 & 0xF)
    #  define @[email protected]_VERSION_PATCH @[email protected](__SUNPRO_CC    & 0xF)
    # endif'

  the old evaluation rules produce:

    '
    # if __SUNPRO_CC >= 0x5100
       /* __SUNPRO_CC = 0xVRRP */
    #  define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__SUNPRO_CC>>12)
    #  define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__SUNPRO_CC>>4 & 0xFF)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__SUNPRO_CC    & 0xF)
    # else
       /* __SUNPRO_CC = 0xVRP */
    #  define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__SUNPRO_CC>>8)
    #  define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__SUNPRO_CC>>4 & 0xF)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__SUNPRO_CC    & 0xF)
    # endif'

  but the new evaluation rules produce:

    '
    # if __SUNPRO_CC >= 0x5100
       /* __SUNPRO_CC = 0xVRRP */
    #  define @[email protected]_VERSION_MAJOR @[email protected](__SUNPRO_CC>>12)
    #  define @[email protected]_VERSION_MINOR @[email protected](__SUNPRO_CC>>4 & 0xFF)
    #  define @[email protected]_VERSION_PATCH @[email protected](__SUNPRO_CC    & 0xF)
    # else
       /* __SUNPRO_CC = 0xVRP */
    #  define @[email protected]_VERSION_MAJOR @[email protected](__SUNPRO_CC>>8)
    #  define @[email protected]_VERSION_MINOR @[email protected](__SUNPRO_CC>>4 & 0xF)
    #  define @[email protected]_VERSION_PATCH @[email protected](__SUNPRO_CC    & 0xF)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/OpenWatcom-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
       /* __WATCOMC__ = VVRP + 1100 */
    # define @[email protected]_VERSION_MAJOR @[email protected]((__WATCOMC__ - 1100) / 100)
    # define @[email protected]_VERSION_MINOR @[email protected]((__WATCOMC__ / 10) % 10)
    # if (__WATCOMC__ % 10) > 0
    #  define @[email protected]_VERSION_PATCH @[email protected](__WATCOMC__ % 10)
    # endif'

  the old evaluation rules produce:

    '
       /* __WATCOMC__ = VVRP + 1100 */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected]((__WATCOMC__ - 1100) / 100)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected]((__WATCOMC__ / 10) % 10)
    # if (__WATCOMC__ % 10) > 0
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__WATCOMC__ % 10)
    # endif'

  but the new evaluation rules produce:

    '
       /* __WATCOMC__ = VVRP + 1100 */
    # define @[email protected]_VERSION_MAJOR @[email protected]((__WATCOMC__ - 1100) / 100)
    # define @[email protected]_VERSION_MINOR @[email protected]((__WATCOMC__ / 10) % 10)
    # if (__WATCOMC__ % 10) > 0
    #  define @[email protected]_VERSION_PATCH @[email protected](__WATCOMC__ % 10)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/IBMCPP-CXX-DetermineVersionInternal.cmake:2 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __IBMCPP__ = VRP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define @[email protected]_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define @[email protected]_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  the old evaluation rules produce:

    '
      /* __IBMCPP__ = VRP */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  but the new evaluation rules produce:

    '
      /* __IBMCPP__ = VRP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__IBMCPP__/100)
    # define @[email protected]_VERSION_MINOR @[email protected](__IBMCPP__/10 % 10)
    # define @[email protected]_VERSION_PATCH @[email protected](__IBMCPP__    % 10)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/Compiler/zOS-CXX-DetermineCompiler.cmake:4 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/TI-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
      /* __TI_COMPILER_VERSION__ = VVVRRRPPP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__TI_COMPILER_VERSION__/1000000)
    # define @[email protected]_VERSION_MINOR @[email protected](__TI_COMPILER_VERSION__/1000   % 1000)
    # define @[email protected]_VERSION_PATCH @[email protected](__TI_COMPILER_VERSION__        % 1000)'

  the old evaluation rules produce:

    '
      /* __TI_COMPILER_VERSION__ = VVVRRRPPP */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__TI_COMPILER_VERSION__/1000000)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__TI_COMPILER_VERSION__/1000   % 1000)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__TI_COMPILER_VERSION__        % 1000)'

  but the new evaluation rules produce:

    '
      /* __TI_COMPILER_VERSION__ = VVVRRRPPP */
    # define @[email protected]_VERSION_MAJOR @[email protected](__TI_COMPILER_VERSION__/1000000)
    # define @[email protected]_VERSION_MINOR @[email protected](__TI_COMPILER_VERSION__/1000   % 1000)
    # define @[email protected]_VERSION_PATCH @[email protected](__TI_COMPILER_VERSION__        % 1000)'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/ADSP-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    #if defined(__VISUALDSPVERSION__)
      /* __VISUALDSPVERSION__ = 0xVVRRPP00 */
    # define @[email protected]_VERSION_MAJOR @[email protected](__VISUALDSPVERSION__>>24)
    # define @[email protected]_VERSION_MINOR @[email protected](__VISUALDSPVERSION__>>16 & 0xFF)
    # define @[email protected]_VERSION_PATCH @[email protected](__VISUALDSPVERSION__>>8  & 0xFF)
    #endif'

  the old evaluation rules produce:

    '
    #if defined(__VISUALDSPVERSION__)
      /* __VISUALDSPVERSION__ = 0xVVRRPP00 */
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__VISUALDSPVERSION__>>24)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__VISUALDSPVERSION__>>16 & 0xFF)
    # define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__VISUALDSPVERSION__>>8  & 0xFF)
    #endif'

  but the new evaluation rules produce:

    '
    #if defined(__VISUALDSPVERSION__)
      /* __VISUALDSPVERSION__ = 0xVVRRPP00 */
    # define @[email protected]_VERSION_MAJOR @[email protected](__VISUALDSPVERSION__>>24)
    # define @[email protected]_VERSION_MINOR @[email protected](__VISUALDSPVERSION__>>16 & 0xFF)
    # define @[email protected]_VERSION_PATCH @[email protected](__VISUALDSPVERSION__>>8  & 0xFF)
    #endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-3.2/Modules/Compiler/PGI-DetermineCompiler.cmake:4 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation.  Run "cmake --help-policy CMP0053" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__PGIC__)
    # define @[email protected]_VERSION_MINOR @[email protected](__PGIC_MINOR__)
    # if defined(__PGIC_PATCHLEVEL__)
    #  define @[email protected]_VERSION_PATCH @[email protected](__PGIC_PATCHLEVEL__)
    # endif'

  the old evaluation rules produce:

    '
    # define /home/root/serverCOMPILER_VERSION_MAJOR @[email protected](__PGIC__)
    # define /home/root/serverCOMPILER_VERSION_MINOR @[email protected](__PGIC_MINOR__)
    # if defined(__PGIC_PATCHLEVEL__)
    #  define /home/root/serverCOMPILER_VERSION_PATCH @[email protected](__PGIC_PATCHLEVEL__)
    # endif'

  but the new evaluation rules produce:

    '
    # define @[email protected]_VERSION_MAJOR @[email protected](__PGIC__)
    # define @[email protected]_VERSION_MINOR @[email protected](__PGIC_MINOR__)
    # if defined(__PGIC_PATCHLEVEL__)
    #  define @[email protected]_VERSION_PATCH @[email protected](__PGIC_PATCHLEVEL__)
    # endif'

  Using the old result for compatibility since the policy is not set.
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:16 (include)
  /usr/share/cmake-3.2/Modules/CMakeCompilerIdDetection.cmake:44 (_readFile)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:108 (compiler_id_detection)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:126 (CMAKE_DETERMINE_COMPILER_ID_WRITE)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCompilerId.cmake:39 (CMAKE_DETERMINE_COMPILER_ID_BUILD)
  /usr/share/cmake-3.2/Modules/CMakeDetermineCXXCompiler.cmake:103 (CMAKE_DETERMINE_COMPILER_ID)
  CMakeLists.txt:15 (project)
This warning is for project developers.  Use -Wno-dev to suppress it.

-- The CXX compiler identification is unknown
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detected 64-bit platform
-- UNIX: Using default configuration directory
-- UNIX: Using default library directory
-- UNIX: Configuring uninstall target
-- UNIX: Created uninstall target
-- UNIX: Detected compiler: /usr/bin/cc
-- Using mysql-config: /usr/bin/mysql_config
-- Found MySQL library: /usr/lib/x86_64-linux-gnu/libmysqlclient_r.so
-- Found MySQL headers: /usr/include/mysql
-- Found MySQL executable: /usr/bin/mysql
-- Found git binary : /usr/bin/git

* TrinityCore revision   : f50c4b71a137 2016-05-10 19:22:22 +0200 (3.3.5 branch)
* TrinityCore buildtype  : Release

* Install core to        : /usr/local
* Install libraries to   : /usr/local/lib
* Install configs to     : /usr/local/etc

* Build world/auth       : Yes (default)
* Build with scripts     : Yes (static)
* Build map/vmap tools   : No  (default)
* Build core w/PCH       : Yes (default)
* Build scripts w/PCH    : Yes (default)
* Show compile-warnings  : No  (default)
* Use coreside debug     : No  (default)
* Show source tree       : Yes (hierarchical)
* Use GIT revision hash  : Yes (default)

-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
CMake Error at cmake/macros/FindBoost.cmake:1184 (message):
  Unable to find the requested Boost libraries.

  Boost version: 1.54.0

  Boost include path: /usr/include

  Could not find the following Boost libraries:

          boost_system
          boost_filesystem
          boost_thread
          boost_program_options
          boost_iostreams
          boost_regex

  No Boost libraries were found.  You may need to set BOOST_LIBRARYDIR to the
  directory containing Boost libraries or BOOST_ROOT to the location of
  Boost.
Call Stack (most recent call first):
  dep/boost/CMakeLists.txt:29 (find_package)


-- Performing Test boost_filesystem_copy_links_without_NO_SCOPED_ENUM
-- Performing Test boost_filesystem_copy_links_without_NO_SCOPED_ENUM - Failed
CMake Error at /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
  Could NOT find ZLIB (missing: ZLIB_LIBRARY) (found version "1.2.8")
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:374 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-3.2/Modules/FindZLIB.cmake:110 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  dep/zlib/CMakeLists.txt:13 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/TrinityCore/build/CMakeFiles/CMakeOutput.log".
See also "/home/TrinityCore/build/CMakeFiles/CMakeError.log".
[email protected]:/home/TrinityCore/build# apt-get install ZLIB-LIBRARY
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
E: Paket ZLIB-LIBRARY kann nicht gefunden werden.
[email protected]:/home/TrinityCore/build#
[email protected]:/home/TrinityCore/build# apt-get install zlib
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
E: Paket zlib kann nicht gefunden werden.
[email protected]:/home/TrinityCore/build#
[email protected]:/home/TrinityCore/build# apt-get upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete sind zurückgehalten worden:
  linux-generic-lts-wily linux-headers-generic-lts-wily
  linux-image-generic-lts-wily
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 3 nicht aktualisiert.
[email protected]:/home/TrinityCore/build# apt-get install zlib
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
E: Paket zlib kann nicht gefunden werden.
[email protected]:/home/TrinityCore/build# clear
[email protected]:/home/TrinityCore/build# cmake ../ -DPREFIX=/home/`echo $USER`/server
-- Detected 64-bit platform
-- UNIX: Using default configuration directory
-- UNIX: Using default library directory
-- UNIX: Configuring uninstall target
-- UNIX: Created uninstall target
-- UNIX: Detected compiler: /usr/bin/cc
-- Using mysql-config: /usr/bin/mysql_config
-- Found MySQL library: /usr/lib/x86_64-linux-gnu/libmysqlclient_r.so
-- Found MySQL headers: /usr/include/mysql
-- Found MySQL executable: /usr/bin/mysql
-- Found git binary : /usr/bin/git

* TrinityCore revision   : f50c4b71a137 2016-05-10 19:22:22 +0200 (3.3.5 branch)
* TrinityCore buildtype  : Release

* Install core to        : /usr/local
* Install libraries to   : /usr/local/lib
* Install configs to     : /usr/local/etc

* Build world/auth       : Yes (default)
* Build with scripts     : Yes (static)
* Build map/vmap tools   : No  (default)
* Build core w/PCH       : Yes (default)
* Build scripts w/PCH    : Yes (default)
* Show compile-warnings  : No  (default)
* Use coreside debug     : No  (default)
* Show source tree       : Yes (hierarchical)
* Use GIT revision hash  : Yes (default)

CMake Error at cmake/macros/FindBoost.cmake:1184 (message):
  Unable to find the requested Boost libraries.

  Boost version: 1.54.0

  Boost include path: /usr/include

  Could not find the following Boost libraries:

          boost_system
          boost_filesystem
          boost_thread
          boost_program_options
          boost_iostreams
          boost_regex

  No Boost libraries were found.  You may need to set BOOST_LIBRARYDIR to the
  directory containing Boost libraries or BOOST_ROOT to the location of
  Boost.
Call Stack (most recent call first):
  dep/boost/CMakeLists.txt:29 (find_package)


CMake Error at /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
  Could NOT find ZLIB (missing: ZLIB_LIBRARY) (found version "1.2.8")
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:374 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-3.2/Modules/FindZLIB.cmake:110 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  dep/zlib/CMakeLists.txt:13 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/TrinityCore/build/CMakeFiles/CMakeOutput.log".
See also "/home/TrinityCore/build/CMakeFiles/CMakeError.log".
[email protected]:/home/TrinityCore/build# apt-get install openssl
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
openssl ist schon die neueste Version.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 3 nicht aktualisiert.
[email protected]:/home/TrinityCore/build# clear
[email protected]:/home/TrinityCore/build# cmake ../ -DPREFIX=/home/`echo $USER`/server
-- Detected 64-bit platform
-- UNIX: Using default configuration directory
-- UNIX: Using default library directory
-- UNIX: Configuring uninstall target
-- UNIX: Created uninstall target
-- UNIX: Detected compiler: /usr/bin/cc
-- Using mysql-config: /usr/bin/mysql_config
-- Found MySQL library: /usr/lib/x86_64-linux-gnu/libmysqlclient_r.so
-- Found MySQL headers: /usr/include/mysql
-- Found MySQL executable: /usr/bin/mysql
-- Found git binary : /usr/bin/git

* TrinityCore revision   : f50c4b71a137 2016-05-10 19:22:22 +0200 (3.3.5 branch)
* TrinityCore buildtype  : Release

* Install core to        : /usr/local
* Install libraries to   : /usr/local/lib
* Install configs to     : /usr/local/etc

* Build world/auth       : Yes (default)
* Build with scripts     : Yes (static)
* Build map/vmap tools   : No  (default)
* Build core w/PCH       : Yes (default)
* Build scripts w/PCH    : Yes (default)
* Show compile-warnings  : No  (default)
* Use coreside debug     : No  (default)
* Show source tree       : Yes (hierarchical)
* Use GIT revision hash  : Yes (default)

CMake Error at cmake/macros/FindBoost.cmake:1184 (message):
  Unable to find the requested Boost libraries.

  Boost version: 1.54.0

  Boost include path: /usr/include

  Could not find the following Boost libraries:

          boost_system
          boost_filesystem
          boost_thread
          boost_program_options
          boost_iostreams
          boost_regex

  No Boost libraries were found.  You may need to set BOOST_LIBRARYDIR to the
  directory containing Boost libraries or BOOST_ROOT to the location of
  Boost.
Call Stack (most recent call first):
  dep/boost/CMakeLists.txt:29 (find_package)


CMake Error at /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
  Could NOT find ZLIB (missing: ZLIB_LIBRARY) (found version "1.2.8")
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:374 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-3.2/Modules/FindZLIB.cmake:110 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  dep/zlib/CMakeLists.txt:13 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/TrinityCore/build/CMakeFiles/CMakeOutput.log".
See also "/home/TrinityCore/build/CMakeFiles/CMakeError.log".
[email protected]:/home/TrinityCore/build#
[email protected]:/home/TrinityCore/build#
[email protected]:/home/TrinityCore/build# cmake \
>     -G "Unix Makefiles" \
>     -DCMAKE_C_FLAGS:STRING="$HPUXCFLAGS" \
>     -DCMAKE_LD_FLAGS:STRING="$HPUXLDFLAGS" \
>     -DCMAKE_CXX_FLAGS:STRING="$HPUXCFLAGS" \
>     -DZLIB_LIBRARY="/usr/local/lib/hpux32" \
>     -DZLIB_INCLUDE_DIR="/usr/local/include" \
>     -Wno-dev \
>     -DCMAKE_INSTALL_PREFIX=/opt/tigervnc \
>     -DMAN_INSTALL_DIR=/opt/tigervnc/man \
>     -DSYSCONF_INSTALL_DIR=/etc/opt/tigervnc \
>     -DENABLE_PAM:BOOL=OFF \
>     -DBUILD_JAVA:BOOL=ON \
>
CMake Error: The source directory "/home/TrinityCore/build" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.
[email protected]:/home/TrinityCore/build#
[email protected]:/home/TrinityCore/build# cmake ../ -DPREFIX=/home/`echo $USER`/server
-- Detected 64-bit platform
-- UNIX: Using default configuration directory
-- UNIX: Using default library directory
-- UNIX: Configuring uninstall target
-- UNIX: Created uninstall target
-- UNIX: Detected compiler: /usr/bin/cc
-- Using mysql-config: /usr/bin/mysql_config
-- Found MySQL library: /usr/lib/x86_64-linux-gnu/libmysqlclient_r.so
-- Found MySQL headers: /usr/include/mysql
-- Found MySQL executable: /usr/bin/mysql
-- Found git binary : /usr/bin/git

* TrinityCore revision   : f50c4b71a137 2016-05-10 19:22:22 +0200 (3.3.5 branch)
* TrinityCore buildtype  : Release

* Install core to        : /usr/local
* Install libraries to   : /usr/local/lib
* Install configs to     : /usr/local/etc

* Build world/auth       : Yes (default)
* Build with scripts     : Yes (static)
* Build map/vmap tools   : No  (default)
* Build core w/PCH       : Yes (default)
* Build scripts w/PCH    : Yes (default)
* Show compile-warnings  : No  (default)
* Use coreside debug     : No  (default)
* Show source tree       : Yes (hierarchical)
* Use GIT revision hash  : Yes (default)

CMake Error at cmake/macros/FindBoost.cmake:1184 (message):
  Unable to find the requested Boost libraries.

  Boost version: 1.54.0

  Boost include path: /usr/include

  Could not find the following Boost libraries:

          boost_system
          boost_filesystem
          boost_thread
          boost_program_options
          boost_iostreams
          boost_regex

  No Boost libraries were found.  You may need to set BOOST_LIBRARYDIR to the
  directory containing Boost libraries or BOOST_ROOT to the location of
  Boost.
Call Stack (most recent call first):
  dep/boost/CMakeLists.txt:29 (find_package)


CMake Error at /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
  Could NOT find ZLIB (missing: ZLIB_LIBRARY) (found version "1.2.8")
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:374 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-3.2/Modules/FindZLIB.cmake:110 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  dep/zlib/CMakeLists.txt:13 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/TrinityCore/build/CMakeFiles/CMakeOutput.log".
See also "/home/TrinityCore/build/CMakeFiles/CMakeError.log".
[email protected]:/home/TrinityCore/build# clear
[email protected]:/home/TrinityCore/build# cmake ../ -DPREFIX=/home/`echo $USER`/server
-- Detected 64-bit platform
-- UNIX: Using default configuration directory
-- UNIX: Using default library directory
-- UNIX: Configuring uninstall target
-- UNIX: Created uninstall target
-- UNIX: Detected compiler: /usr/bin/cc
-- Using mysql-config: /usr/bin/mysql_config
-- Found MySQL library: /usr/lib/x86_64-linux-gnu/libmysqlclient_r.so
-- Found MySQL headers: /usr/include/mysql
-- Found MySQL executable: /usr/bin/mysql
-- Found git binary : /usr/bin/git

* TrinityCore revision   : f50c4b71a137 2016-05-10 19:22:22 +0200 (3.3.5 branch)
* TrinityCore buildtype  : Release

* Install core to        : /usr/local
* Install libraries to   : /usr/local/lib
* Install configs to     : /usr/local/etc

* Build world/auth       : Yes (default)
* Build with scripts     : Yes (static)
* Build map/vmap tools   : No  (default)
* Build core w/PCH       : Yes (default)
* Build scripts w/PCH    : Yes (default)
* Show compile-warnings  : No  (default)
* Use coreside debug     : No  (default)
* Show source tree       : Yes (hierarchical)
* Use GIT revision hash  : Yes (default)

CMake Error at cmake/macros/FindBoost.cmake:1184 (message):
  Unable to find the requested Boost libraries.

  Boost version: 1.54.0

  Boost include path: /usr/include

  Could not find the following Boost libraries:

          boost_system
          boost_filesystem
          boost_thread
          boost_program_options
          boost_iostreams
          boost_regex

  No Boost libraries were found.  You may need to set BOOST_LIBRARYDIR to the
  directory containing Boost libraries or BOOST_ROOT to the location of
  Boost.
Call Stack (most recent call first):
  dep/boost/CMakeLists.txt:29 (find_package)


CMake Error at /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
  Could NOT find ZLIB (missing: ZLIB_LIBRARY) (found version "1.2.8")
Call Stack (most recent call first):
  /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:374 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-3.2/Modules/FindZLIB.cmake:110 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  dep/zlib/CMakeLists.txt:13 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/TrinityCore/build/CMakeFiles/CMakeOutput.log".
See also "/home/TrinityCore/build/CMakeFiles/CMakeError.log".
[email protected]:/home/TrinityCore/build#
 

 

 

Sorry for my bad english.

I hope so much for your Support, thanks.

Edited by diemail32

Share this post


Link to post
Share on other sites
1 minute ago, Aokromes said:

I sugest you to use Ubuntu 16.04, 14.04 is outdated.

 

Thanks for your fast answer.

I try this at the first and its not work so i try 14.04 and i get the same problem :(

Share this post


Link to post
Share on other sites

The above parameters when combined into a full example :

 

cmake ../ -DCMAKE_INSTALL_PREFIX=/home/<username>/server -DWITH_WARNINGS=1
 
Another Example Below:
cmake ../ -DCMAKE_INSTALL_PREFIX=/home/wow/server -DCONF_DIR=/home/wow/server/etc -DTOOLS=1 -DWITH_WARNINGS=1

 

 

sry i don't understand.

When i wan't a normal "basic" installation what command i need to execute?

 

Thanks

Share this post


Link to post
Share on other sites

You used

11 hours ago, diemail32 said:

[email protected]:/home/TrinityCore/build# cmake ../ -DPREFIX=/home/`echo $USER`/server

We don't have a PREFIX variable. Follow the wiki.

(ps. also its the name of an internal cmake variable, trying to use it causes major breakage as you experienced)

Share this post


Link to post
Share on other sites

Hello everybody,

i have a big problem, when i will building the core.

Here are some data from my server:
Operating system: Ubuntu Server 16.04 "Xenial Xerus" LTS (NEW) (64bits)
CPU: Intel Xeon E3 1245v2
Cores/Threads: 4 C / 8 T
RAM: 32 GB
HDD: 3x 120 GB SSD

I went exactly according to these instructions from Trinity Core:
http://www.elitepvpers.com/link/?https://trinitycore.atlassian.net/wiki/display/tc/Linux+Requirements

The configuration works without problems, but when it then comes to create the scores, I get the following error message:
c++: internal compiler error: Segmentation fault (program cc1plus)

http://250kb.de/u/160520/p/8MEmOlAywvpI.PNG

I have already tried several, but I find no solution to my problem.
Can you help me?

Share this post


Link to post
Share on other sites
20 minutes ago, Teufelchen said:

Hello everybody,

i have a big problem, when i will building the c

The configuration works without problems, but when it then comes to create the scores, I get the following error message:
c++: internal compiler error: Segmentation fault (program cc1plus)

http://250kb.de/u/160520/p/8MEmOlAywvpI.PNG

I have already tried several, but I find no solution to my problem.
Can you help me?

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

  • Similar Content

    • By Deer_Hunter
      Hello all,
      I just updated from the latest Git 
      Trinity Core REV. ac6baa547376 + 2020-02-21  3.3.5 Branch.
      I'm getting this error after crash.
      Problem signature:
        Problem Event Name:    APPCRASH
        Application Name:    worldserver.exe
        Application Version:    0.0.0.0
        Application Timestamp:    5e50a462
        Fault Module Name:    StackHash_f12f
        Fault Module Version:    6.3.9600.19629
        Fault Module Timestamp:    5e2fdc0d
        Exception Code:    c0000374
        Exception Offset:    PCH_9E_FROM_ntdll+0x0000000000090D0A
        OS Version:    6.3.9600.2.0.0.272.7
        Locale ID:    1033
        Additional Information 1:    f12f
        Additional Information 2:    f12f0934d3e965f73c68e60f20f2cd40
        Additional Information 3:    7595
        Additional Information 4:    7595e4d8d703db9dcd3d2f6ea540e357
      the exception code says its a Heap error,  I'm not sure how to troubleshoot this.
      Thanks
    • By 939h
      Hi,

      The chat channel Lookup for group is not available when a player isn't in a city. I tried to modify the worldserver.conf file with:
      #
      #    Channel.RestrictedLfg
      #        Description: Restrict LookupForGroup channel to characters registered in the LFG tool.
      #        Default:     1 - (Enabled, Allow join to channel only if registered in LFG)
      #                     0 - (Disabled, Allow join to channel in any time)
      Channel.RestrictedLfg = 0

      I restarted the server but it didn't help.

      Thanks
    • By meeek
      Hey, I've been trying to compile from github the core from 6.2.3/6.2.4, I'm well aware its stopped developing. I cannot get it to configure properly in CMake, nor can I obviously build it.
       
      I'd be willing to pay for help and get this working and running. I want to develop my own server on my freetime as a learning project and for entertainment. I can't find any core for WoD, sadly.. Very hard, would appreciate any quick help
       
    • By Probie_Wan_Kenobi
      I believe everything I have done up to this point has been correct. When I go to launch worldserver.exe a console window opens up for a second and closes right away and nothing else seems to have happened. I skipped a head a little in the instructions to see what is left and step 5 seems skippable since I am running this only for this computer and step 6 has me launch to a log in screen which I can not get to. I tried going to the faq but the page was not loading properly so I am forced to post here.
    • By Wark
      I'd just like to get a little insight to why so much of the current Trinitycore code doesn't match up to a few years ago.
      Now I know I'm not a pro at coding on Trinitycore and I understand that the core is open sourced but these just seem so significant and doesn't seem right to remove this stuff.
       
      Let me give an example. Lets say I'm watching this tutorial to get a little information about classes and methods that I can use when making a script. (I've also been using the Trinitycore Code Documentation as reference as well but it also seems to show the same issues)
      Although the tutorial is a little out of date, I don't see why OnGossipSelect doesn't exist anywhere in CreatureScript and that when I try to link the script to the core code it spits out this error.
      object of abstract class type "GossipTeleporter" is not allowed:
      pure virtual function "CreatureScript::GetAI" has no overrider
      The DEFINES of "ADD_GOSSIP_ITEM" and many more don't exist either.
       
      Am I missing something? All I want to know is if the core is mean't to be this way and if not should I download an older version of the core before I put to much working into my current core.
      (I downloaded my core right from the Trinitycore website tutorial)
       
      I'm currently trying to write a simple gossipteleporter that will let you talk to an npc and teleport to the given location. It's very hard to do this when so many things just don't exist within my core.
       
      EXTRA: I pasted this into a new custom script just to see if I would get errors and I got a lot of different errors: http://pastebin.com/raw/G62e0t49
      This was obtained from here: http://www.ac-web.org/forums/showthread.php?129885-Request-Teleporter-NPC-for-TrinityCore
      By no means am I looking to copy the code from the two links above, I was using them as a test to see if my core accepted them.
       
      Thanks,
      Wark
×
×
  • Create New...